
c23456
c     declaration of myffn
      subroutine myffn(in, idata)
      
c     indicate types of function arguments 
      integer in
      integer idata(*)

c     print out idata entries
      write(*,*) 'f77 before change: idata(1) = ', idata(1)
      write(*,*) 'f77 before change: idata(2) = ', idata(2)

c     access and change idata contents (note indexing from 1)
      idata(1) = idata(1)+1
      idata(2) = idata(2)+3

c     print out idata entries
      write(*,*) 'f77 after  change: idata(1) = ', idata(1)
      write(*,*) 'f77 after  change: idata(2) = ', idata(2)

      return 
      end

c23456
